summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authormudler <mudler@sabayon.org>2016-10-11 00:32:58 +0200
committerEttore Di Giacinto <mudler@gentoo.org>2016-10-23 17:18:10 +0200
commitedcd250c16e86abbd9572b880d850a40d7900b4a (patch)
tree492657edfc7933dc5b011ddf3f274e30a1c00f1e /dev-scheme
parentprofiles: unmask gambit and scm USE for >=dev-scheme/slib-3.2.5 on x86 (diff)
downloadgentoo-edcd250c16e86abbd9572b880d850a40d7900b4a.tar.gz
gentoo-edcd250c16e86abbd9572b880d850a40d7900b4a.tar.bz2
gentoo-edcd250c16e86abbd9572b880d850a40d7900b4a.zip
dev-scheme/slib: version bump to 3.2.5
* migrate to EAPI 6 * splitted sed calls in patches * add local gambit and scm USE flags * QA fixes, added DOCS Gentoo-Bug: https://bugs.gentoo.org/show_bug.cgi?id=537306 Package-Manager: portage-2.3.1
Diffstat (limited to 'dev-scheme')
-rw-r--r--dev-scheme/slib/Manifest1
-rw-r--r--dev-scheme/slib/files/50slib1
-rw-r--r--dev-scheme/slib/files/slib-3.2.5-fix-makefile-guile.patch23
-rw-r--r--dev-scheme/slib/files/slib-3.2.5-fix-paths.patch42
-rw-r--r--dev-scheme/slib/metadata.xml4
-rw-r--r--dev-scheme/slib/slib-3.2.5.ebuild120
6 files changed, 191 insertions, 0 deletions
diff --git a/dev-scheme/slib/Manifest b/dev-scheme/slib/Manifest
index db108a7327e..616218d37ba 100644
--- a/dev-scheme/slib/Manifest
+++ b/dev-scheme/slib/Manifest
@@ -1,3 +1,4 @@
DIST slib-3b1.zip 1063227 SHA256 8e3ec24d51be03ebb7357ad9a2f3554056b86dafbc9e48d1d491aeda1efa566f SHA512 28eb997a094cfb0a97eb924ed7bd965bb094db773343529f1593446b507908ccdec3086c6ce0b6b938a9742ed84bd8f5f36b14911296549660cc4b301f84c977 WHIRLPOOL 5c5a20fca0ad605d3ade593449071ca3afdc47522b1158c3e013477811a3720e82ed742873de7b75c0354fa456725090357c214c7b638110b2438e874b3e242d
DIST slib-3b2.zip 1067021 SHA256 b1cb9c1b7c888e32918ebdd8fca80d9c875024b064bc6989e4700905873bcae8 SHA512 199b5ddaffd1213dd144dc7f60de020029586babc83f702830d95a0d387c4f1aad9fcbe1603c0f8d4351e0ec1650fad745fd463a56c3bb86394e81eadae6afd5 WHIRLPOOL d31902c7780d528a1a130d5d8f3f77692b033a7227d6cf398a67829dcc8ad20976f55d7ac60b3ba7376ff4fd246b042f842674d05f10287799e24413d783da10
+DIST slib-3b5.tar.gz 987735 SHA256 ea26e5170c6db6d6c69e4aaf91e9b1c9619174fc92d5dc63c71fff2a935e51ba SHA512 e5d1210b70cd882cd5e810b3c4102d6060ec82fb2093f472bf31b597f6273e0a02f4d35a82c4b5c8cdc3f8b2c7b9e498fa3e35c7f265fa864cd9dc50e7a874c8 WHIRLPOOL 2d962de080e2786c72bfa4fa9bb2c907f1e3cc934cdb696a22f117e5733abfc49e176c9731841dbb0f735cfd59fd6c0bdbb1706c3510b8fc3d3f886afacdc5fb
DIST slib3a5.zip 1055491 SHA256 3c4fbfc08de9220f456ed1cd58ca0fb49b4a8cdd4d03697fbea11d9407a16e30 SHA512 62462f3ac308e8133801f77a1ee72d907639a5e9bb1c33d474afc58ee9272c59dcd4524f1a40cd99ad84b0bc5fb81d35ffacc7dfb4423b122244a7a7916071a9 WHIRLPOOL b27a1f0ede3e83ed3ae52e3f22a38074f8534e8f55fbb7e89f578e2f6ccb9ec879f2e75b511a8c55f2f40d8cd11ea6d52d2016745332ba25b80702d17330aba5
diff --git a/dev-scheme/slib/files/50slib b/dev-scheme/slib/files/50slib
new file mode 100644
index 00000000000..072862ed0b8
--- /dev/null
+++ b/dev-scheme/slib/files/50slib
@@ -0,0 +1 @@
+SCHEME_LIBRARY_PATH="/usr/share/slib/"
diff --git a/dev-scheme/slib/files/slib-3.2.5-fix-makefile-guile.patch b/dev-scheme/slib/files/slib-3.2.5-fix-makefile-guile.patch
new file mode 100644
index 00000000000..4617b4e780c
--- /dev/null
+++ b/dev-scheme/slib/files/slib-3.2.5-fix-makefile-guile.patch
@@ -0,0 +1,23 @@
+--- slib-3b5/~Makefile 2016-10-10 23:54:01.461733550 +0200
++++ slib-3b5/Makefile 2016-10-10 23:59:33.806035867 +0200
+@@ -13,9 +13,9 @@ SHELL = /bin/sh
+ INSTALL = install
+ INSTALL_PROGRAM = ${INSTALL}
+ INSTALL_DATA = ${INSTALL} -m 644
+-INSTALL_INFO = ginstall-info
++INSTALL_INFO = install-info
+
+-SCHEME = scm
++SCHEME = guile
+ CHPAT = $(HOME)/bin/chpat
+ MAKEDEV = $(MAKE) -f $(HOME)/makefile.dev
+ TEXI2HTML = /usr/local/bin/texi2html -split -verbose
+@@ -183,7 +183,7 @@ slib.html: slib.texi
+ $(MAKEINFO) --html --no-split --no-warn --force $<
+
+ slib-$(VERSION).info: slib.texi version.txi $(txifiles) $(texifiles)
+- $(MAKEINFO) $< --no-warn --no-split -o slib-$(VERSION).info
++ $(MAKEINFO) $< --no-warn --no-split --force -o slib-$(VERSION).info
+ slib.info: slib-$(VERSION).info
+ if [ -f $(prevdocsdir)slib.info ];\
+ then infobar $(prevdocsdir)slib.info slib-$(VERSION).info \
diff --git a/dev-scheme/slib/files/slib-3.2.5-fix-paths.patch b/dev-scheme/slib/files/slib-3.2.5-fix-paths.patch
new file mode 100644
index 00000000000..9a373c14d73
--- /dev/null
+++ b/dev-scheme/slib/files/slib-3.2.5-fix-paths.patch
@@ -0,0 +1,42 @@
+--- slib-3b5/~RScheme.init 2016-10-10 23:05:39.117046443 +0200
++++ slib-3b5/RScheme.init 2016-10-10 23:06:47.242857550 +0200
+@@ -52,7 +52,7 @@
+ ;; Use this path if your scheme does not support GETENV
+ ;; or if SCHEME_LIBRARY_PATH is not set.
+ (case (software-type)
+- ((unix) "/usr/lib/slib/")
++ ((unix) "/usr/share/slib/")
+ ((vms) "lib$scheme:")
+ ((ms-dos) "C:\\SLIB\\")
+ (else "")))))
+--- slib-3b5/~gambit.init 2016-10-10 23:05:20.939634454 +0200
++++ slib-3b5/gambit.init 2016-10-10 23:07:46.571968697 +0200
+@@ -38,7 +38,7 @@
+ (let ((impl-path
+ (or (getenv "GAMBIT_IMPLEMENTATION_PATH")
+ (case (software-type)
+- ((unix) "/usr/local/share/gambc/")
++ ((unix) "/usr/share/gambc/")
+ ((vms) "scheme$src:")
+ ((ms-dos) "C:\\scheme\\")
+ ((windows) "c:/scheme/")
+@@ -65,7 +65,7 @@
+ ;; Use this path if your scheme does not support GETENV
+ ;; or if SCHEME_LIBRARY_PATH is not set.
+ (case (software-type)
+- ((unix) "/usr/local/lib/slib/")
++ ((unix) "/usr/share/slib/")
+ ((macos) (string-append (implementation-vicinity) "slib:"))
+ ((amiga) "dh0:scm/Library/")
+ ((vms) "lib$scheme:")
+--- slib-3b5/~guile-2.init 2016-10-10 23:05:46.531807087 +0200
++++ slib-3b5/guile-2.init 2016-10-10 23:08:00.154538349 +0200
+@@ -199,7 +199,7 @@
+ (define implementation-vicinity
+ (cond ((getenv "GUILE_IMPLEMENTATION_PATH")
+ => (lambda (path) (lambda () path)))
+- (else %site-dir)))
++ (else %library-dir)))
+
+ ;;; (library-vicinity) should be defined to be the pathname of the
+ ;;; directory where files of Scheme library functions reside.
diff --git a/dev-scheme/slib/metadata.xml b/dev-scheme/slib/metadata.xml
index 2b9f6dfbc03..def1d63fae2 100644
--- a/dev-scheme/slib/metadata.xml
+++ b/dev-scheme/slib/metadata.xml
@@ -9,4 +9,8 @@
SLIB is a portable scheme library meant to provide compatibiliy and
utility functions for all standard scheme implementations.
</longdescription>
+ <use>
+ <flag name="scm">Support for scm scheme implementation</flag>
+ <flag name="gambit">Support for gambit scheme implementation</flag>
+ </use>
</pkgmetadata>
diff --git a/dev-scheme/slib/slib-3.2.5.ebuild b/dev-scheme/slib/slib-3.2.5.ebuild
new file mode 100644
index 00000000000..c44e94ccad3
--- /dev/null
+++ b/dev-scheme/slib/slib-3.2.5.ebuild
@@ -0,0 +1,120 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="6"
+
+inherit versionator
+
+#version magic thanks to masterdriverz and UberLord using bash array instead of tr
+trarr="0abcdefghi"
+MY_PV="$(get_version_component_range 1)${trarr:$(get_version_component_range 2):1}$(get_version_component_range 3)"
+
+DESCRIPTION="Portable Scheme library for all standard Scheme implementations"
+HOMEPAGE="http://people.csail.mit.edu/jaffer/SLIB"
+SRC_URI="http://swiss.csail.mit.edu/ftpdir/scm/${PN}-${MY_PV}.tar.gz"
+
+RESTRICT="mirror"
+
+LICENSE="public-domain BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~amd64-linux ~x86-linux ~ppc-macos ~x86-macos ~x86-solaris"
+IUSE="gambit scm"
+
+RDEPEND="
+ >=sys-apps/texinfo-5.0
+ >=dev-scheme/guile-1.8.8:=
+ gambit? ( dev-scheme/gambit )
+ scm? ( dev-scheme/scm )"
+DEPEND="${RDEPEND}"
+
+DOCS=( ANNOUNCE COPYING FAQ README ChangeLog slib.{txt,html} )
+
+PATCHES=(
+ "${FILESDIR}/${P}-fix-paths.patch"
+ "${FILESDIR}/${P}-fix-makefile-guile.patch"
+)
+
+S=${WORKDIR}/${PN}-${MY_PV}
+
+src_configure() {
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/share || die
+}
+
+src_compile() {
+ default
+
+ makeinfo -o slib.txt --plaintext --force slib.texi || die
+ makeinfo -o slib.html --html --no-split --force slib.texi || die
+}
+
+src_install() {
+ # core
+ dodir /usr/share/${PN}
+ insinto /usr/share/${PN}
+ doins *.{dat,init,ps,scm,sh}
+
+ # permissions
+ fperms +x /usr/share/slib/*.sh
+
+ # bin
+ dodir /usr/bin/
+ dosym /usr/share/${PN}/${PN}.sh /usr/bin/${PN}
+
+ # env
+ doenvd "${FILESDIR}/50slib"
+
+ # docs
+ doinfo slib.info
+ doman slib.1
+
+ # guile
+ if has_version '=dev-scheme/guile-2.0*'; then
+ dodir /usr/share/guile/2.0
+ dosym /usr/share/${PN}/ /usr/share/guile/2.0/${PN}
+ else
+ dodir /usr/share/guile/1.8
+ dosym /usr/share/${PN}/ /usr/share/guile/1.8/${PN}
+ fi
+
+ # backwards compatibility
+ dodir /usr/lib/
+ dosym /usr/share/${PN}/ /usr/lib/${PN}
+}
+
+_new_catalog() {
+ if [[ ! "$1" =~ ^(guile|scm)$ ]]; then
+ echo -n "(load \"${ROOT}/usr/share/slib/$1.init\")" || die
+ fi
+ echo " (require 'new-catalog) (slib:report-version)" || die
+}
+
+pkg_postinst() {
+ local SCHEME_LIBRARY_PATH=/usr/share/slib/
+
+ # catalogs
+ einfo "Updating implementation catalogs.."
+ guile -c "(use-modules (ice-9 slib)) $(_new_catalog guile)" |& grep -i '^slib' || die
+
+ # broken as for now
+ # if use elk ; then
+ # echo "$(_new_catalog elk)" | elk -l -
+ # fi
+
+ if use gambit ; then
+ gsi -e "$(_new_catalog gambit)" || die
+ fi
+
+ if use scm ; then
+ scm -e "$(_new_catalog scm)" || die
+ fi
+}
+
+pkg_postrm() {
+ for impl in 'guile/*' gambc scm; do
+ rm -f "${ROOT}/usr/"lib*/${impl}/slibcat \
+ "${ROOT}/usr/share/"${impl}/slibcat || die
+ done
+}